Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.encoder.jpg
Class Tables

    java.lang.Object
      |
      +--com.sun.jimi.core.encoder.jpg.Tables

public final class Tables
extends java.lang.Object

Updated to allow for quality setting of saved jpg quality. The quality parameter and settings are the same as those used in the Independent JPG groups implementation.

Field Summary
`static short[]` | `ac_chrominance_bits`
`static short[]` | `ac_chrominance_val`
`static short[]` | `ac_luminance_bits`
`static short[]` | `ac_luminance_val`
`static short[]` | `dc_chrominance_bits`
`static short[]` | `dc_chrominance_val`
`static short[]` | `dc_luminance_bits`
`static short[]` | `dc_luminance_val`
`static short[]` | `std_chrominance_quant_tbl`
`static short[]` | `std_luminance_quant_tbl`

Method Summary
`void` | `getChrominanceQuantTable(short[] table)`
`void` | `getLuminanceQuantTable(short[] table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dc_luminance_bits

    public static final short[] dc_luminance_bits

### dc_luminance_val

    public static final short[] dc_luminance_val

### dc_chrominance_bits

    public static final short[] dc_chrominance_bits

### dc_chrominance_val

    public static final short[] dc_chrominance_val

### ac_luminance_bits

    public static final short[] ac_luminance_bits

### ac_luminance_val

    public static final short[] ac_luminance_val

### ac_chrominance_bits

    public static final short[] ac_chrominance_bits

### ac_chrominance_val

    public static final short[] ac_chrominance_val

### std_luminance_quant_tbl

    public static final short[] std_luminance_quant_tbl

### std_chrominance_quant_tbl

    public static final short[] std_chrominance_quant_tbl

Method Detail

### getLuminanceQuantTable

    public void getLuminanceQuantTable(short[] table)

  Parameters:
    `table` - to be filled in with luminance quantisation info based on the quality setting for this object.

### getChrominanceQuantTable

    public void getChrominanceQuantTable(short[] table)

  Parameters:
    `table` - to be filled in with chrominance quantisation info based on the quality setting for this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD